Subject: Re: [phenixbb] cci_apps on irix
From: Nat Echols <[email-masked]>
To: [email-masked]
Date: Fri, 22 Aug 2008 07:57:48 -0700

This isn't something I'm familiar with, but sometimes all you need to do
to get the right compiler is either set the environment variable 'CC' to
point to the gcc path, or alias 'cc' to gcc.  (This works with the GNU
build system, anyway - which PHENIX doesn't use, but these are pretty
standard tricks, so worth a try.)

-Nat

On Fri, Aug 22, 2008 at 10:20:00AM +0200, [email-masked] wrote:
> Hello,
> 
> I am just compiling the latest cci_apps package for the IRIX platform. I know this is unsupported, but since the package is very self-contained, I would not expect major problems with the command-line packages (who needs a gui, anyway ;))
> I'm just running into two issues with the boost package which are obviously a matter of syntax:
> 
> 1st:
> -----
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> -----
> 
> 2nd:
> -----
>   Declaration is incompatible with function template "boost::basic_format<Ch,
>           Tr, Alloc> &boost::io::detail::feed(boost::basic_format<Ch, Tr,
>           Alloc> &, T)" (declared at line 52 of
>           "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/
>           format/internals_fwd.hpp").
> 
>           io::detail::feed (basic_format<Ch2, Tr2, Alloc2>&, T);
>                       ^
> -----
> 
> I have attached the complete output for your reference. Maybe these problems can be corrected easily. In fact, all this may be a matter of the mipspro compilers being more strict about syntax than gcc.
> But how to tell the install script to use gcc??? There doesn't seem to be a standard way to provide general compilation options... Just renaming the cc binaries makes the python configure script to switch to gcc without complaints, but other packages (scons if I remember correctly) still explicitly check for mipspro ?!
> Any ideas how to resolve this?
> 
> Oliver
> 
> 
> -------------------------------
>  Dr. Oliver H. Weiergraeber
>  Institute of Neurosciences and Biophysics
>  Molecular Biophysics
>  Research Centre Juelich
>  D-52425 Juelich
>  Germany
>  Phone: +49-2461-612028
>  Fax: +49-2461-612020
> -------------------------------
> 
> 
> 
> -------------------------------------------------------------------
> -------------------------------------------------------------------
> Forschungszentrum Juelich GmbH
> 52425 Juelich
> 
> Sitz der Gesellschaft: Juelich
> Eingetragen im Handelsregister des Amtsgerichts Dueren Nr. HR B 3498
> Vorsitzende des Aufsichtsrats: MinDir'in Baerbel Brumme-Bothe
> Geschaeftsfuehrung: Prof. Dr. Achim Bachem (Vorsitzender),
> Dr. Ulrich Krafft (stellv. Vorsitzender), Prof. Dr. Harald Bolt,
> Dr. Sebastian M. Schmidt
> -------------------------------------------------------------------
> -------------------------------------------------------------------

> Build tag:
> 2008_08_09_0053
> Please enter the number of available CPUs [1]: 
> Number of available CPUs: 1
> Installing Python-2.5.2_cci from sources
> Configuring Python
> Compiling Python. This may take a while.
> Installing Python
> Done installing Python.
> Python 2.5.2
> 
> Precompiling all .py files. This may take a minute or two.
> 
> Configuring cci_apps build directory
> Python: 2.5.2 "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/base/bin/python"
> Compiler: default
> Build mode: release
> Warning level: 0
> Static libraries: False
> Static exe: False
> Scan Boost headers: False
> Write full flex_fwd.h files: True
> Build Boost.Python extensions: True
> Define BOOST_PYTHON_NO_PY_SIGNATURES: False
> Boost threads enabled: False
> Enable OpenMP if possible: True
> command_version_suffix: None
> Top-down list of all modules involved:
>   phenix          /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/phenix
>   probe           /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/probe
>   reduce          /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/reduce
>   elbow           /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/elbow
>   PyQuante        /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/PyQuante
>   Plex            /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/Plex
>   tntbx           /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/tntbx
>   mmtbx           /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/mmtbx
>   iotbx           /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/iotbx
>   PyCifRW         /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/PyCifRW
>   ccp4io+adaptbx  /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io
>                   /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io_adaptbx
>   cctbx           /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/cctbx
>   scitbx          /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/scitbx
>   omptbx          /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/omptbx
>   boost+adaptbx   /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost
>                   /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx
>   chiltbx         /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/chiltbx
>   libtbx          /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/libtbx
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/dispatcher_include_cci_apps.sh"
> Creating files in build directory:
>   "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_build"
>     dispatcher_include_template.sh
>     dispatcher_head.sh
>     setpaths.sh
>     setpaths.csh
>     setpaths_all.sh
>     setpaths_all.csh
>     setpaths_debug.sh
>     unsetpaths.sh
>     setpaths_debug.csh
>     unsetpaths.csh
>     SConstruct
>     run_tests.csh
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/libtbx/libtbx/command_line"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/boost/command_line"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/scitbx/scitbx/command_line"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/cctbx/cctbx/command_line"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/PyCifRW/command_line"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/iotbx/iotbx/command_line"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/mmtbx/mmtbx/command_line"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/elbow/elbow/command_line"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/phenix/phenix/command_line"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/libtbx/libtbx_refresh.py"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/scitbx/libtbx_refresh.py"
>   Generating C++ header files in:
>     "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/include/scitbx/array_family"
>   Generating C++ files in:
>     "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/include/scitbx/array_family/boost_python"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/cctbx/libtbx_refresh.py"
>   Generating C++ files in:
>     "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/cctbx/eltbx"
>   Generating C++ files in:
>     "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/include/cctbx/boost_python"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/reduce/libtbx_refresh.py"
> Processing: "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/probe/libtbx_refresh.py"
> 
> Installing cci_apps modules. This may take a while.
> scons: Reading SConscript files ...
> libtbx.scons: OpenMP is not supported.
> libtbx.scons: implicit dependency scan disabled for directory /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost
> scons: done reading SConscript files.
> scons: Building targets ...
> cc -o PyQuante/Src/chgp.o -c -DNDEBUG -O2 -OPT:Olimit=0 -DPYQUANTE_FULLY_QUALIFIED_MODULE_NAME -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/PyQuante/Src/chgp.c
> cc -o PyQuante/Src/cints.o -c -DNDEBUG -O2 -OPT:Olimit=0 -DPYQUANTE_FULLY_QUALIFIED_MODULE_NAME -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/PyQuante/Src/cints.c
> cc -o PyQuante/Src/crys.o -c -DNDEBUG -O2 -OPT:Olimit=0 -DPYQUANTE_FULLY_QUALIFIED_MODULE_NAME -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/PyQuante/Src/crys.c
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/converter/arg_to_python_base.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/converter/arg_to_python_base.cpp
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/converter/from_python.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/converter/from_python.cpp
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/converter/registry.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/converter/registry.cpp
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/converter/type_id.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/converter/type_id.cpp
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/dict.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/dict.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/errors.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/errors.cpp
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/exec.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/exec.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/import.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/import.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/list.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/list.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/long.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/long.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/module.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/module.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/numeric.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/numeric.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object/class.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object/class.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object/enum.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object/enum.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object/function.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object/function.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object/function_doc_signature.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object/function_doc_signature.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object/inheritance.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object/inheritance.cpp
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object/iterator.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object/iterator.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object/life_support.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object/life_support.cpp
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object/pickle_support.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object/pickle_support.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object/stl_iterator.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object/stl_iterator.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object_operators.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object_operators.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/object_protocol.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/object_protocol.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/slice.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/slice.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/str.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/str.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/tuple.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/tuple.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost/libs/python/src/wrapper.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/libs/python/src/wrapper.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost_adaptbx/builtin_converters.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -DBOOST_PYTHON_SOURCE -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 boost_adaptbx/builtin_converters.cpp
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost_adaptbx/hybrid_times_ext.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -DNDEBUG -O2 -OPT:Olimit=0 -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/hybrid_times_ext.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost_adaptbx/meta_ext.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -DNDEBUG -O2 -OPT:Olimit=0 -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/meta_ext.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost_adaptbx/optional_ext.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -DNDEBUG -O2 -OPT:Olimit=0 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/optional_ext.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost_adaptbx/rational_ext.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -DNDEBUG -O2 -OPT:Olimit=0 -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/rational_ext.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost_adaptbx/std_pair_ext.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -DNDEBUG -O2 -OPT:Olimit=0 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/std_pair_ext.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o boost_adaptbx/tuple_ext.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -DNDEBUG -O2 -OPT:Olimit=0 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/tuple_ext.cpp
> cc-1460 CC: WARNING File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/python/object_core.hpp, Line = 507
>   Function function "boost::python::api::object_base::~object_base" is
>           redeclared "inline" after being called.
> 
>   inline api::object_base::~object_base()
>                            ^
> 
> cc -o ccp4io/lib/src/ccp4_array.o -c -DNDEBUG -O2 -OPT:Olimit=0 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io/lib/src/ccp4_array.c
> cc -o ccp4io/lib/src/ccp4_parser.o -c -DNDEBUG -O2 -OPT:Olimit=0 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io/lib/src/ccp4_parser.c
> cc -o ccp4io/lib/src/ccp4_unitcell.o -c -DNDEBUG -O2 -OPT:Olimit=0 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io/lib/src/ccp4_unitcell.c
> cc -o ccp4io/lib/src/cmtzlib.o -c -DNDEBUG -O2 -OPT:Olimit=0 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io/lib/src/cmtzlib.c
> cc -o ccp4io/lib/src/csymlib.o -c -DNDEBUG -O2 -OPT:Olimit=0 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io/lib/src/csymlib.c
> cc -o ccp4io/lib/src/cvecmat.o -c -DNDEBUG -O2 -OPT:Olimit=0 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io/lib/src/cvecmat.c
> cc -o ccp4io/lib/src/library_err.o -c -DNDEBUG -O2 -OPT:Olimit=0 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io/lib/src/library_err.c
> cc -o ccp4io/lib/src/library_file.o -c -DNDEBUG -O2 -OPT:Olimit=0 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io/lib/src/library_file.c
> cc -o ccp4io/lib/src/library_utils.o -c -DNDEBUG -O2 -OPT:Olimit=0 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/ccp4io/lib/src/library_utils.c
> CC -n32 -mips4 -LANG:std -LANG:pch=OFF -no_prelink -ptused -o cctbx/adptbx/boost_python/adptbx_ext.o -c -woff 1001,1174,1183,1188,1234,1311,1682,1685,3321,3439,3506,3896,3968,3970 -DBOOST_DISABLE_THREADS -DNDEBUG -O2 -OPT:Olimit=0 -DBOOST_ALL_NO_LIB -DBOOST_PYTHON_MAX_BASES=2 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost -DNDEBUG -O2 -OPT:Olimit=0 -Iinclude -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/include -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/cctbx/include -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/scitbx/include -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources -Ibase/include/python2.5 -I/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/base/include/python2.5 /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/cctbx/adptbx/boost_python/adptbx_ext.cpp
> cc-1143 CC: ERROR File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/format/format_class.hpp, Line = 104
>   Declaration is incompatible with function template "boost::basic_format<Ch,
>           Tr, Alloc> &boost::io::detail::feed(boost::basic_format<Ch, Tr,
>           Alloc> &, T)" (declared at line 52 of
>           "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/
>           format/internals_fwd.hpp").
> 
>           io::detail::feed (basic_format<Ch2, Tr2, Alloc2>&, T);
>                       ^
> 
> cc-1143 CC: ERROR File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/format/format_class.hpp, Line = 107
>   Declaration is incompatible with function template "void
>           boost::io::detail::distribute(boost::basic_format<Ch, Tr, Alloc> &,
>           T)" (declared at line 48 of
>           "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/
>           format/internals_fwd.hpp").
> 
>           void io::detail::distribute (basic_format<Ch2, Tr2, Alloc2>&, T);
>                            ^
> 
> cc-1143 CC: ERROR File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/format/format_class.hpp, Line = 111
>   Declaration is incompatible with function template "boost::basic_format<Ch,
>           Tr, Alloc>
>           &boost::io::detail::modify_item_body(boost::basic_format<Ch, Tr,
>           Alloc> &, int, T)" (declared at line 33 of
>           "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/
>           format/internals_fwd.hpp").
> 
>           io::detail::modify_item_body (basic_format<Ch2, Tr2, Alloc2>&, int, T);
>                       ^
> 
> cc-1143 CC: ERROR File = /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/format/format_class.hpp, Line = 115
>   Declaration is incompatible with function template "boost::basic_format<Ch,
>           Tr, Alloc> &boost::io::detail::bind_arg_body(boost::basic_format<Ch,
>           Tr, Alloc> &, int, const T &)" (declared at line 38 of
>           "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost/boost/
>           format/internals_fwd.hpp").
> 
>           io::detail::bind_arg_body (basic_format<Ch2, Tr2, Alloc2>&, int, const T&);
>                       ^
> 
> 4 errors detected in the compilation of "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/cctbx/adptbx/boost_python/adptbx_ext.cpp".
> scons: *** [cctbx/adptbx/boost_python/adptbx_ext.o] Error 2
> scons: building terminated because of errors.
> usr+sys time: 9.58 seconds, ticks: 3906980, micro-seconds/tick: 2.452
> wall clock time: 10 minutes 37.89 seconds (637.89 seconds total)
> 
> Running a selected test
> libtbx.python "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/tst_rational.py"
> Traceback (most recent call last):
>   File "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/tst_rational.py", line 1, in <module>
>     from boost import rational
>   File "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/boost/rational.py", line 1, in <module>
>     import boost.python
>   File "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/boost/python.py", line 45, in <module>
>     ext = import_ext("boost_python_meta_ext")
>   File "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx/boost/python.py", line 24, in import_ext
>     + ["  "+p for p in sys.path]))
> ImportError: __import__("boost_python_meta_ext"): No module named boost_python_meta_ext
>   sys.path:
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/phenix
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/elbow
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/PyQuante
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/tntbx
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/mmtbx
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/iotbx
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/PyCifRW
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/cctbx
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/scitbx
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/boost_adaptbx
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_sources/libtbx
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/lib
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/base/lib/python25.zip
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/base/lib/python2.5
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/base/lib/python2.5/plat-irix6
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/base/lib/python2.5/lib-tk
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/base/lib/python2.5/lib-dynload
>     /usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/base/lib/python2.5/site-packages
> 
> ***
> *** csh and tcsh users:
> ***     To use this installation in a new shell or process run the command:
> ***
> ***         source "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/setpaths.csh"
> ***
> ***     You may want to add this line to your .cshrc file.
> ***
> *** sh and bash users:
> ***     To use this installation in a new shell or process run the command:
> ***
> ***         . "/usr/local/archive/phenix/cci_apps-1.3/cci_apps_build/setpaths.sh"
> ***
> ***     You may want to add this line to your .profile or .bashrc file.
> ***

> _______________________________________________
> phenixbb mailing list
> [email-masked]
> http://www.phenix-online.org/mailman/listinfo/phenixbb

----------------
Nathaniel Echols
Postdoctoral Fellow
Lawrence Berkeley Lab
510-486-5136
[email-masked]